﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Klase;

namespace Program
{
    class Festival
    {
        static List<Kamp> skupKampova = new List<Kamp>();
        static int ukupanBrojGostiju;

        public static void ObradiDogadjaj()
        {
            ukupanBrojGostiju++;
        }

        static void Main(string[] args)
        {
            Kamp.DodatGost += ObradiDogadjaj;

            Console.WriteLine("Unesite naziv kampa");
            string lokacija = Console.ReadLine();

            int kapacitet;
            do
            {
                try
                {
                    Console.WriteLine("Unesite kapacitet kampa");
                    kapacitet = Convert.ToInt32(Console.ReadLine());
                    break;
                }
                catch (FormatException)
                {
                    Console.WriteLine("Morate uneti broj!");
                }
            }
            while (true);

            skupKampova.Add(new Kamp(lokacija, kapacitet));

            Console.WriteLine("Unesite ime gosta");
            string ime = Console.ReadLine();
            Console.WriteLine("Unesite prezime gosta");
            string prezime = Console.ReadLine();
            if (skupKampova[0].DodajGosta(new Gost(ime, prezime)))
                Console.WriteLine("Gost je dodat!");
            else
            {
                Console.WriteLine("Kapacitet je popunjen!");
                Console.WriteLine("Kamp: {0}\n Ukupan broj gostiju je: {1}", skupKampova[0].DajPodatke(), ukupanBrojGostiju);
                return;
            }

            Console.WriteLine("Unesite ime gosta");
            ime = Console.ReadLine();
            Console.WriteLine("Unesite prezime gosta");
            prezime = Console.ReadLine();
            if (skupKampova[0].DodajGosta(new Gost(ime, prezime)))
                Console.WriteLine("Gost je dodat!");
            else
            {
                Console.WriteLine("Kapacitet je popunjen!");
                Console.WriteLine("Kamp: {0}\n Ukupan broj gostiju je: {1}", skupKampova[0].DajPodatke(), ukupanBrojGostiju);
                return;
            }

            Console.WriteLine("Unesite ime gosta");
            ime = Console.ReadLine();
            Console.WriteLine("Unesite prezime gosta");
            prezime = Console.ReadLine();
            Console.WriteLine("Unesite zemlju gosta");
            string zemlja = Console.ReadLine();
            if (skupKampova[0].DodajGosta(new StraniGost(ime, prezime, zemlja)))
                Console.WriteLine("Gost je dodat!");
            else
            {
                Console.WriteLine("Kapacitet je popunjen!");
                Console.WriteLine("Kamp: {0}\n Ukupan broj gostiju je: {1}", skupKampova[0].DajPodatke(), ukupanBrojGostiju);
                return;
            }


            Console.WriteLine("Unesite ime gosta");
            ime = Console.ReadLine();
            Console.WriteLine("Unesite prezime gosta");
            prezime = Console.ReadLine();
            Console.WriteLine("Unesite zemlju gosta");
            zemlja = Console.ReadLine();
            if (skupKampova[0].DodajGosta(new StraniGost(ime, prezime, zemlja)))
                Console.WriteLine("Gost je dodat!");
            else
            {
                Console.WriteLine("Kapacitet je popunjen!");
                Console.WriteLine("Kamp: {0}\n Ukupan broj gostiju je: {1}", skupKampova[0].DajPodatke(), ukupanBrojGostiju);
                return;
            }

            Console.WriteLine("Kamp: {0}\n Ukupan broj gostiju je: {1}", skupKampova[0].DajPodatke(), ukupanBrojGostiju);
        }
    }
}


