﻿using System;
using System.Collections.Generic;
using System.Text;

namespace VezbeZadnje
{
    public delegate void PromenjenEventHandler(Object o,PromenjenEventsArgs e);
    class Radnik
    {
        string _Ime;
        string _Prezime;        
       
        public event PromenjenEventHandler Promenjen;

        protected void OnPromenjen(bool promenjenoIme, bool promenjenoPrezime)
        {
            if (Promenjen != null)
            {
                PromenjenEventsArgs p = new PromenjenEventsArgs();
                p.PromenjenoIme = promenjenoIme;
                Promenjen(this, p);
            }
        }

        public string Ime
        {
            get { return _Ime; }
            set {
                if (_Ime != value)
                {
                    _Ime = value;
                    

                    OnPromenjen(true, false);
                }
            }
        }
        public string Prezime
        {
            get { return _Prezime; }
            set
            {
                if (_Prezime != value)
                {
                    _Prezime = value;
                    
                    OnPromenjen(false, true);
                }
            }

        }

        public void Set(string ime, string prezime)
        {
            _Ime = ime;
            _Prezime = prezime;
            OnPromenjen(true, true);
        }
    }
    public class PromenjenEventsArgs : EventArgs
    {
        bool _promenjenoIme;
        bool _promenjenoPrezime;

        public bool PromenjenoPrezime
        {
            get { return _promenjenoPrezime; }
            set { _promenjenoPrezime = value; }
        }

        public bool PromenjenoIme
        {
            get { return _promenjenoIme; }
            set { _promenjenoIme = value; }
        }
       

    }
}
